
/*
    GENERAL
*/

// import font moved to javascript/stylesheets/application.scss
// @import url('https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,900');

body {
    font-family: 'Poppins', sans-serif;
    background: $color-background; // #fafafa;
}

p {
    font-family: 'Poppins', sans-serif;
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
    color: #999;
}

a,
a:hover,
a:focus {
    color: inherit;
    text-decoration: none;
    // transition: all 0.3s;
}
html {
  overflow-y: scroll;
}

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */
$left-menu-width: 130px;

.wrapper {
    display: flex;
    width: 100%;
}

#sidebar {
    width: $left-menu-width;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    // z-index: 999; // ZINDEX
    background: white; // $color-sb-bg;
    // color: $color-sb-txt;
    transition: all 0.3s;
}

#mCSB_1_scrollbar_vertical {
    // z-index: 1000;
}

#sidebar.active {
    margin-left: calc(0px - #{$left-menu-width});
    // margin-left: calc(0px - 200px);
}

#sidebar .sidebar-header {
    padding: 5px 5px 20px 10px;
    // padding-left: 10px;
    // text-align: center;
    // padding-bottom: 20px;
    // background: $color-sb-bg;
}

#sidebar div.step-menu {
    // border: 1px solid $color-sb-step-border;
    // border-radius: 3px;
    // box-shadow: 3px 3px 2px rgba(0, 0, 0, 0.3);
    // margin: 2px;
    // margin-left: 3px;
    // background-color: $color-sb-step;
    // // color: #fff;
    font-weight: bold;
    background: #fff;
    padding-bottom: 20px;
    // box-shadow: 0px 8px 16px rgba(148, 99, 52, 0.24);
    border-bottom: 1px solid $color-nav-border;

    color: $color-dark; // succes;
    position: relative;
    // z-index: 9; // ZINDEX
}

#sidebar div.step-menu.active {
    // border: 2px solid $color-sb-step-border-active;
    // background-color: $color-sb-step-active;
    box-shadow: 0px 8px 16px rgba(148, 99, 52, 0.24), 0px -2px 8px rgba(148, 99, 52, 0.24);
    z-index: 1; // z-index: 10;  // ZINDEX
}

#sidebar div.step-menu a.step-menu-title {
    // color: $color-succes;
    margin-left: 5px;
    // background-color: $color-sb-step-title;
    // border-bottom: 1px solid $color-sb-step-title-border;

    // .collapse-icon {
    //     color: #000; // $color-grey;
    // }
    .icon-right {
        margin-right: 5px;
    }

}

#sidebar div.step-menu ul {
    padding-top: 10px;
}

#sidebar .step-advance-red {
    a.step-menu-title {
        color: $color-dark; // $color-grey; // $color-error;
    }

    div.step-menu.active {
        border-right: 3px solid $color-grey;
    }
}
#sidebar .step-advance-orange {
    a.step-menu-title {
        color: $color-dark; // $color-orange;
    }

    div.step-menu.active {
        border-right: 3px solid $color-orange;
    }
}
#sidebar .step-advance-green {
    a.step-menu-title {
        color: $color-dark; // $color-succes;
    }

    div.step-menu.active {
        border-right: 3px solid $color-succes;
    }
}

#sidebar div.step-menu.active a.step-menu-title {
    // background-color: $color-sb-step-title-active;
    // border-bottom: 1px solid $color-sb-step-title-border-active;
}


#sidebar span.prowhy-oc-text {
    width: 72px !important;
    display: inline-block;

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

#sidebar a.tool-menu-title {
    padding-right: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    // color: $color-sb-tool-txt;
    font-weight: normal;
}

#sidebar a.tool-menu-title-active {
    // color: $color-sb-tool-txt-active;
    // background-color: $color-sb-tool-active;
    font-weight: bold;
}

#sidebar ul li a {
    padding: 5px;
    display: block;
}

#sidebar ul li div.step-menu a.step-menu-title:hover,
#sidebar ul li div.step-menu a:hover {
    color: $color-grey; // $color-sb-all-txt-hover;
    font-weight: bold;
    // background: $color-sb-all-hover;
}

#sidebar ul li.tool-menu a {
    font-size: 0.9em !important;
    padding-left: 10px !important;
}

/* Step menu icons */
#sidebar ul li div.step-menu div.step-menu-icons {
    // background-color: $color-sb-step-icon;
}
#sidebar ul li div.step-menu.active div.step-menu-icons {
    // background-color: $color-sb-step-icon-active;
}
#sidebar .step-menu-icon-more {
    // color: $color-sb-step-icon-txt;
    display: inline !important;
    float: right;
    margin-right: 10px;
    // color: $color-grey;

    a {
        padding: 1px 0px 4px 3px  !important;
        display: inline;
    }
}

#sidebar div.step-menu-icon-adv {
    display: inline !important;
    padding: 1px 3px;

    border-radius: 3px;
    margin-left: 10px;

    a {
        padding:0 !important;
        display: inline !important;
        color: white !important; // ICONS
    }
    a:hover {
        color: white !important;
        opacity: 1 !important;
    }
}

#sidebar .step-advance-red div.step-menu-icon-adv {
    // color: $color-error;
    // border: 1px solid $color-error;
    // background: white;
    background-color: $color-grey; // $color-error; // ICONS
    opacity: 0.50;
}
#sidebar .step-advance-orange div.step-menu-icon-adv {
    // color: $color-orange;
    // border: 1px solid $color-orange;
    // background: white;
    background-color: $color-orange; // ICONS
}
#sidebar .step-advance-green div.step-menu-icon-adv {
    // color: $color-succes;
    // border: 1px solid $color-succes;
    // background: white;
    background-color: $color-succes; // ICONS
}


/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#zone-content {
    width: calc(100% - #{$left-menu-width});
}

#zone-content.active {
    width: 100%;
}

#zone-content-appli {
    width: 100%;
}

.zone-content {
    min-height: 100vh;
    transition: all 0.3s;
    position: absolute;
    top: 0;
    right: 0;
}

#content {
    margin-top: 52px;
    padding: 10px 15px;
    // padding-left: 0px;
    // padding-right: 0px;
    width: 100%;
}

/* ---------------------------------------------------
    TOP NAVBAR
----------------------------------------------------- */
// #test-navbar {
//     padding: 15px 10px;
//     background: #fff;
//     border: none;
//     border-radius: 0;
//     margin-bottom: 40px;
//     box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
// }

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.line {
    // width: 100%;
    // height: 1px;
    // border-bottom: 1px dashed #ddd;
    // margin: 40px 0;
}
#prowhy-topnavbar {
    // overflow: hidden;
    position: fixed;
    top: 0;
    width: inherit;
    padding: 0px;
    background: $color-background;
    // box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
    // border-bottom: 1px solid $color-nav-border;
    z-index: 100;

    border-bottom: 1px solid $color-nav-border;
    // box-shadow: 0px 4px 8px rgba(148, 99, 52, 0.16);

    .container-fluid {
        height: 56px;
        padding-top: 3px;
        padding-bottom: 8px;
        padding-left: 15px;
        padding-right: 15px;


        div {
            padding-top: 5px;
        }
    }
}

// #prowhy-topnavbar .container-fkuid {
//     padding-left: 15px;
//     padding-right: 15px;
// }

#prowhy-topnavbar a:hover,
#prowhy-topnavbar button:hover {
  // background: $color-nav-btn-hover;
  // box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
  // color: black;
}

#prowhy-topnavbar #navbarSupportedContent {
    background-color: $color-background;
    // margin-top: 5px;
}
#prowhy-topnavbar #navbarSupportedContent.show {
    // border-bottom: 1px solid $color-nav-border;
    box-shadow: 0px 4px 8px rgba(148, 99, 52, 0.16);
}

#prowhy-topnavbar #navbarLeftContent {
    margin-right: 30px;
    margin-bottom: 5px;
    margin-top: 5px;
}

#prowhy-home-logo {
    // width: calc(100% - 400px);
    text-align: center;
    // padding: 8px;
    padding-left: 0px;
}

#rca-title {
    max-width: 280px;
    overflow: hidden;
    text-overflow: ellipsis;
    text-align: center;
    padding: 0;
}

// .btn-menu-active {
//     background: $color-nav-btn-active; /* orange logo */
//     color: $color-nav-btn-active-txt;
//     font-weight: bold;
// }

.btn-navbar {
    padding: 12px;
    margin: 0; //  0px 0 15px;
    line-height: 1.0;

    border: none !important;
}

.btn-navbar-except-for-info {
    padding: 12px;
    margin: 0; //  0px 0 15px;
    line-height: 1.0;
}
/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

@media (max-width: 768px) {
    #sidebar {
        margin-left: calc(0px - #{$left-menu-width});
    }
    #sidebar.active {
        margin-left: 0;
    }
    #zone-content-appli,
    #zone-content {
        width: 100%;
    }
    #zone-content.active {
        width: calc(100% - #{$left-menu-width});
    }
    #sidebarCollapse span {
        display: none;
    }
}

/*
    FLASH MESSAGES
 */
.opera-messages {
  // background-color: #bbb;
  // color: #000;
  border: 1px solid #aaa;
  border-radius: 3px;
  line-height: 25px;
  text-align: left;
  font-size: 12px;
  font-style: italic;
  padding-left: 5px;
}
.opera-messages-txt {
  color: #3a3;
}
.opera-messages-txt-error {
  color: #e22;
}
